From ecb248d8865df376a97a795c2e4f58a3bf64c3f1 Mon Sep 17 00:00:00 2001
From: Stefan Dirsch <sndirsch@suse.de>
Date: Thu, 21 Apr 2016 16:52:15 +0200
Subject: [PATCH 1/2] fix handling of Type1 fonts without /FamilyName and/or
 /FullName

https://bugzilla.opensuse.org/show_bug.cgi?id=918466

Signed-off-by: Stefan Dirsch <sndirsch@suse.de>
Reviewed-by: Adam Jackson <ajax@redhat.com>
---
 mkfontscale.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/mkfontscale.c b/mkfontscale.c
index da93e0c..e9b9488 100644
--- a/mkfontscale.c
+++ b/mkfontscale.c
@@ -579,11 +579,14 @@ makeXLFD(char *filename, FT_Face face, int isBitmap)
     }
 
     if(t1info) {
-        if(!family)
+        if(!family && t1info->family_name)
             family = strdup(t1info->family_name);
-        if(!family)
+        if(!family && t1info->full_name)
             family = strdup(t1info->full_name);
-        if(!full_name)
+        /* Hershey fonts miss /FamilyName */
+        if(!family && face->family_name)
+            family = strdup(face->family_name);
+        if(!full_name && t1info->full_name)
             full_name = strdup(t1info->full_name);
         if(!foundry)
             foundry = notice_foundry(t1info->notice);
-- 
2.10.0 (Apple Git-77)

